<?php

namespace App\Http\Controllers\Api\mini;

use App\Models\DeviceName;
use App\Models\Spec;
use Illuminate\Http\Request;

class DeviceNameController extends BaseController
{
    protected $model;

    public function __construct()
    {
        $this->model = new DeviceName();
    }

    public function get(Request $request)
    {
        if($request->input('type') == 'drop_menu') {
            $items = $this->model->select('name as text', 'id as value')->get();
            $items = $items->prepend(collect(['text' => '设备名称', 'value' => '']));
            return $this->success(['data' => $items]);
        }
        $items = $this->model->get();
        return $this->success(['data' => $items]);
    }
}
