<?php

namespace App\Models;

class InnerDevice extends BaseModel
{
    public function workPoint()
    {
        return $this->belongsTo('App\Models\WorkPoint', 'work_point_id');
    }

    public function spec()
    {
        return $this->belongsTo('App\Models\Spec', 'spec_id');
    }

    public function device()
    {
        return $this->belongsTo('App\Models\Device', 'device_id');
    }

    public function device_name()
    {
        return $this->belongsTo('App\Models\DeviceName', 'device_name_id');
    }
}
