// components/inner-order-item/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: Object
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    navigate: function(e) {
      wx.navigateTo({
        url: e.currentTarget.dataset.url,
      })
    },
    doAction: function(e) {
      var type = e.currentTarget.dataset.type
      if(type == 'edit' || type == 'detail') {
        this.navigate(e)
      } else if(type == 'confirm') {
        var that = this
        var order = e.currentTarget.dataset.order
        Dialog.confirm({
          title: '提示',
          message: '确定订单吗',
        })
          .then(() => {
            that.submitCheck(order)
          })
      }
    },
  
    submitCheck(order) {
      var that = this
      http({
        url: 'orders/check',
        data: {
          id: order.id,
          type: 'confirm',
          remark: order.remark
        },
        success: function (res) {
          if (res.code == 0) {
            
          }
        }
      })
    },
  }
})
